Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.mathutil.matrices.hessian
Interface ComputeHessian

All Known Implementing Classes:
  BasicHessian, HessianCR, HessianFD

    public interface ComputeHessian

Compute (estimate) the Hessian matrix. The Hessian matrix is a matrix of the second derivatives of the neural network. This is a square matrix with rows and columns equal to the number of weights in the neural network. A Hessian matrix is useful for several neural network functions. It is also used by the Levenberg Marquardt training method. http://en.wikipedia.org/wiki/Hessian_matrix

Method Summary
`void` | `clear()` Clear the Hessian and gradients.
`void` | `compute()` Compute the Hessian.
`double[]` | `getGradients()` The gradeints.
`double[][]` | `getHessian()`
`Matrix` | `getHessianMatrix()`
`double` | `getSSE()`
`void` | `init(BasicNetwork theNetwork, MLDataSet theTraining)` Init the class.

Method Detail

### init

    void init(BasicNetwork theNetwork,
              MLDataSet theTraining)

  Init the class.

  Parameters:
    `theNetwork` - The neural network to train.
    `theTraining` - The training set to train with.

### compute

    void compute()

  Compute the Hessian.

### getGradients

    double[] getGradients()

  The gradeints.

  Returns:
    The gradients for the Hessian.

### getSSE

    double getSSE()

  Returns:
    The sum of squares error over all of the training elements.

### clear

    void clear()

  Clear the Hessian and gradients.

### getHessianMatrix

    Matrix getHessianMatrix()

  Returns:
    The Hessian matrix.

### getHessian

    double[][] getHessian()

  Returns:
    Get the Hessian as a 2d array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.